Subject: conflicts in propagated imports must be resolved manually

From: Luis Felipe <[email-masked]>
Date: Mon, 15 Feb 2021 23:50:58 +0000

I get this problem from time to time in my user profile, and it is really annoying because doing what the hint says rarely fixes the problem easily. If you follow the hint, you end up wasting a lot of time when you get into that loop of "hint: Try upgrading both `PACKAGE_I_WANT_TO_INSTALL' and `SOME_PACKAGE_IN_THE_PROFILE', or remove one of them from the profile."

I always forget that the solution is to upgrade all packages in the profile. So maybe the hint should suggest that instead?

So it seems I always get into this problem because I use "guix install PACKAGE" and also "guix upgrade SINGLE_PACKAGE", as I don't always have the time to upgrade the whole profile (which contains almost 100 packages, some of which may have no substitutes and may also have a failing phase, which can result in more wasted time).

I'll need to build the habit of using the declarative approach instead to modify my profile, as Mark Weaver suggests in https://issues.guix.gnu.org/37940 (which, by the way, seems like a duplicate of this issue).

> Also, Arne, it seems to me that Guix alone cannot decide how to solve that conflict; it’s up to the user.

That's understandable but unsatisfying :)